0.9.9 API documenation: GLM_EXT_scalar_common

| 0.9.9 API documenation

Functions
GLM_EXT_scalar_common
Stable extensions

## Functions
template<typename T >
GLM_FUNC_DECL T | fmax (T a, T b)
template<typename T >
GLM_FUNC_DECL T | fmax (T a, T b, T C)
template<typename T >
GLM_FUNC_DECL T | fmax (T a, T b, T C, T D)
template<typename T >
GLM_FUNC_DECL T | fmin (T a, T b)
template<typename T >
GLM_FUNC_DECL T | fmin (T a, T b, T c)
template<typename T >
GLM_FUNC_DECL T | fmin (T a, T b, T c, T d)
template<typename T >
GLM_FUNC_DECL T | max (T a, T b, T c)
template<typename T >
GLM_FUNC_DECL T | max (T a, T b, T c, T d)
template<typename T >
GLM_FUNC_DECL T | min (T a, T b, T c)
template<typename T >
GLM_FUNC_DECL T | min (T a, T b, T c, T d)

## Detailed Description

Exposes min and max functions for 3 to 4 scalar parameters.

Include <glm/ext/scalar_common.hpp> to use the features of this extension.

See also
  Common functions
  GLM_EXT_vector_common

## Function Documentation

## ◆ fmax() [1/3]

GLM_FUNC_DECL T glm::fmax | ( | T | a,
|  | T | b
| ) |  |

Returns the maximum component-wise values of 2 inputs.

If one of the two arguments is NaN, the value of the other argument is returned.

Template Parameters

  T | A floating-point scalar type.

See also
  std::fmax documentation

## ◆ fmax() [2/3]

GLM_FUNC_DECL T glm::fmax | ( | T | a,
|  | T | b,
|  | T | C
| ) |  |

Returns the maximum component-wise values of 3 inputs.

If one of the two arguments is NaN, the value of the other argument is returned.

Template Parameters

  T | A floating-point scalar type.

See also
  std::fmax documentation

## ◆ fmax() [3/3]

GLM_FUNC_DECL T glm::fmax | ( | T | a,
|  | T | b,
|  | T | C,
|  | T | D
| ) |  |

Returns the maximum component-wise values of 4 inputs.

If one of the two arguments is NaN, the value of the other argument is returned.

Template Parameters

  T | A floating-point scalar type.

See also
  std::fmax documentation

## ◆ fmin() [1/3]

GLM_FUNC_DECL T glm::fmin | ( | T | a,
|  | T | b
| ) |  |

Returns the minimum component-wise values of 2 inputs.

If one of the two arguments is NaN, the value of the other argument is returned.

Template Parameters

  T | A floating-point scalar type.

See also
  std::fmin documentation

## ◆ fmin() [2/3]

GLM_FUNC_DECL T glm::fmin | ( | T | a,
|  | T | b,
|  | T | c
| ) |  |

Returns the minimum component-wise values of 3 inputs.

If one of the two arguments is NaN, the value of the other argument is returned.

Template Parameters

  T | A floating-point scalar type.

See also
  std::fmin documentation

## ◆ fmin() [3/3]

GLM_FUNC_DECL T glm::fmin | ( | T | a,
|  | T | b,
|  | T | c,
|  | T | d
| ) |  |

Returns the minimum component-wise values of 4 inputs.

If one of the two arguments is NaN, the value of the other argument is returned.

Template Parameters

  T | A floating-point scalar type.

See also
  std::fmin documentation

## ◆ max() [1/2]

GLM_FUNC_DECL T glm::max | ( | T | a,
|  | T | b,
|  | T | c
| ) |  |

Returns the maximum component-wise values of 3 inputs.

Template Parameters

  T | A floating-point scalar type.

## ◆ max() [2/2]

GLM_FUNC_DECL T glm::max | ( | T | a,
|  | T | b,
|  | T | c,
|  | T | d
| ) |  |

Returns the maximum component-wise values of 4 inputs.

Template Parameters

  T | A floating-point scalar type.

## ◆ min() [1/2]

GLM_FUNC_DECL T glm::min | ( | T | a,
|  | T | b,
|  | T | c
| ) |  |

Returns the minimum component-wise values of 3 inputs.

Template Parameters

  T | A floating-point scalar type.

## ◆ min() [2/2]

GLM_FUNC_DECL T glm::min | ( | T | a,
|  | T | b,
|  | T | c,
|  | T | d
| ) |  |

Returns the minimum component-wise values of 4 inputs.

Template Parameters

  T | A floating-point scalar type.